searchNodes=[{"ref":"XPlane.Cmd.html","title":"XPlane.Cmd","type":"module","doc":"Send X-Plane commands."},{"ref":"XPlane.Cmd.html#child_spec/1","title":"XPlane.Cmd.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"XPlane.Cmd.html#send/2","title":"XPlane.Cmd.send/2","type":"function","doc":"Send a command to X-pLane Parameters instance: X-Plane instance from list returned by XPlane.Instance.list/0 commands: List of command atoms - use XPlane.CmdRef.describe() to look these up. Example iex&gt; XPlane.Cmd.send(master, [:engines_throttle_up]) :ok"},{"ref":"XPlane.Cmd.html#start/2","title":"XPlane.Cmd.start/2","type":"function","doc":"Start GenServer controlling port used to send commands to a specific X-Plane instance. Parameters instance: X-Plane instance from list returned by XPlane.Instance.list/0"},{"ref":"XPlane.Cmd.html#start_link/2","title":"XPlane.Cmd.start_link/2","type":"function","doc":"Start GenServer linked to current process controlling port used to send commands to a specific X-Plane instance. Parameters instance: X-Plane instance from list returned by XPlane.Instance.list/0"},{"ref":"XPlane.Cmd.html#stop/1","title":"XPlane.Cmd.stop/1","type":"function","doc":"Stop the GenServer controlling the port used to send commands."},{"ref":"XPlane.CmdRef.html","title":"XPlane.CmdRef","type":"module","doc":"Represent an X-Plane Command Reference and provide helper methods to load the closest available set of Command References for a given X-Plane version. Note the X-Plane config file these come from is Commands.txt, I&#39;ve named this module CmdRef to mirror DataRef/Data distinction."},{"ref":"XPlane.CmdRef.html#describe/2","title":"XPlane.CmdRef.describe/2","type":"function","doc":""},{"ref":"XPlane.CmdRef.html#load_version/1","title":"XPlane.CmdRef.load_version/1","type":"function","doc":"Load the closest list of CmdRefs we have available for the specified X-Plane version. Parameters version_number: X-Plane version number as returned by XPlane.Instance.list/0"},{"ref":"XPlane.CmdRef.html#t:t/0","title":"XPlane.CmdRef.t/0","type":"type","doc":""},{"ref":"XPlane.Data.html","title":"XPlane.Data","type":"module","doc":"Get and set X-Plane data."},{"ref":"XPlane.Data.html#child_spec/1","title":"XPlane.Data.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"XPlane.Data.html#latest_updates/2","title":"XPlane.Data.latest_updates/2","type":"function","doc":"Request latest values of the listed data reference ids. Values will not be available until you have called XPlane.Data.request_updates/2. If you request a data reference that we have not received a value for, an: {:error, {no_values, [list of requested data reference ids missing values]}}` message is returned. This seemed to be more a more useful way to handle missing values, because most clients will need all the requested values to do their work. Parameters instance: X-Plane instance from list returned by XPlane.Instance.list/0 data_ref_ids: List of data reference ids to return values for Example iex&gt; master |&gt; XPlane.Data.latest_updates([:flightmodel_position_elevation]) %{flightmodel_position_elevation: ...}`"},{"ref":"XPlane.Data.html#request_updates/2","title":"XPlane.Data.request_updates/2","type":"function","doc":"Request updates of the specified data references at the corresponding frequency. Values can then be retrieved using XPlane.Data.latest_updates/2. A small delay occurs during the call to give the GenServer a chance to collect at least one value for each requested data reference. Parameters instance: X-Plane instance from list returned by XPlane.Instance.list/0 data_ref_id_freq: Keyword list of data reference ids and integer updates per second Example iex&gt; XPlane.Data.request_updates(master, [flightmodel_position_indicated_airspeed: 10]) :ok"},{"ref":"XPlane.Data.html#set/2","title":"XPlane.Data.set/2","type":"function","doc":"Set one or more writable data reference values. Parameters instance: X-Plane instance from list returned by XPlane.Instance.list/0 data_ref_id_values: Keyword list of data reference ids and floating point new values to set Example iex&gt; XPlane.Data.set(master, [flightmodel_position_local_y: 1000.0]) :ok"},{"ref":"XPlane.Data.html#start/2","title":"XPlane.Data.start/2","type":"function","doc":"Start GenServer to exchange data references with a specific X-Plane instance. Parameters instance: X-Plane instance from list returned by XPlane.Instance.list/0"},{"ref":"XPlane.Data.html#start_link/2","title":"XPlane.Data.start_link/2","type":"function","doc":"Start GenServer linked to current process to exchange data references with a specific X-Plane instance. Parameters instance: X-Plane instance from list returned by XPlane.Instance.list/0"},{"ref":"XPlane.Data.html#stop/1","title":"XPlane.Data.stop/1","type":"function","doc":"Stop the GenServer listening for data reference updates, and tell X-Plane to stop sending any we are currently subscribed to."},{"ref":"XPlane.DataRef.html","title":"XPlane.DataRef","type":"module","doc":"Represent an X-Plane Data Reference (DataRef) and provide helper methods to load the closest available set of DataRefs for a given X-Plane version"},{"ref":"XPlane.DataRef.html#describe/2","title":"XPlane.DataRef.describe/2","type":"function","doc":""},{"ref":"XPlane.DataRef.html#load_version/1","title":"XPlane.DataRef.load_version/1","type":"function","doc":"Load the closest list of DataRefs we have available for the specified X-Plane version. Parameters version_number: X-Plane version number as returned by XPlane.Instance.list/0"},{"ref":"XPlane.DataRef.html#withCode/2","title":"XPlane.DataRef.withCode/2","type":"function","doc":""},{"ref":"XPlane.DataRef.html#t:t/0","title":"XPlane.DataRef.t/0","type":"type","doc":""},{"ref":"XPlane.DataRef.html#t:xtype/0","title":"XPlane.DataRef.xtype/0","type":"type","doc":""},{"ref":"XPlane.Instance.html","title":"XPlane.Instance","type":"module","doc":"Represent a running instance of X-Plane and provide a GenServer to monitor the local network for X-Plane multicast &quot;beacon&quot; messages and return them as a list. Example iex&gt; XPlane.Instance.start {:ok, #PID&lt;0.138.0&gt;} iex&gt; XPlane.Instance.list [ %XPlane.Instance{ computer_name: &quot;Starboard&quot;, host: :xplane, ip: {192, 168, 0, 58}, addr: &quot;192.168.0.58&quot;, major_version: 1, minor_version: 1, port: 49000, role: :extern_visual, seconds_since_seen: 0, version_number: 105101 } ] iex&gt; XPlane.Instance.stop :ok"},{"ref":"XPlane.Instance.html#child_spec/1","title":"XPlane.Instance.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"XPlane.Instance.html#init/1","title":"XPlane.Instance.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"XPlane.Instance.html#list/0","title":"XPlane.Instance.list/0","type":"function","doc":"Return a list of the most recent X-Plane beacon details received from each IP address. Note that a listing does not guarantee that the instance is currently running, only that it was seen seconds_since_seen seconds ago. Reuseport code based on: https://github.com/refuge/rbeacon/blob/master/src/rbeacon.erl#L414-L425"},{"ref":"XPlane.Instance.html#start/1","title":"XPlane.Instance.start/1","type":"function","doc":"Start GenServer that listens for X-Plane multicast beacon messages and maintains a register of received beacon details. A short delay built in to the function leaves enough time for beacons to be received so that subsequent calls to list return reasonable results. Parameters Accepts normal GenServer options apart from name which is set to the module name."},{"ref":"XPlane.Instance.html#start_link/1","title":"XPlane.Instance.start_link/1","type":"function","doc":"Start GenServer linked to current process that listens for X-Plane multicast beacon messages and maintains a register of received beacon details. A short delay built in to the function leaves enough time for beacons to be received so that subsequent calls to list return reasonable results. Parameters Accepts normal GenServer options apart from name which is set to the module name."},{"ref":"XPlane.Instance.html#stop/0","title":"XPlane.Instance.stop/0","type":"function","doc":"Stop the GenServer listening for multicast X-Plane beacon messages"},{"ref":"XPlane.Instance.html#t:t/0","title":"XPlane.Instance.t/0","type":"type","doc":""}]